Story # 57377 (New): Additional improvements for impexp

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-03-27 Assigned To:
Updated: 2015-06-18 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Sprint Focus:
Subject: Support for files separated from the t3d file
Description

Associated revisions
Revision f9f534ed - 2014-06-20 18:27 - Marc Bastian Heinrichs

[TASK] Add support for having files outside the t3d/xml in impexp

Impexp files are blown up from the files that are included as base64.
This patch adds the possibility to have the files separated from the
 t3d/xml export file. They are saved to a folder beside the export file.

Resolves: #57379
Releases: 6.3, 6.2
Change-Id: Ib8bdc4336c64d2eae0e993132a5fce84eb01f766
Reviewed-on: https://review.typo3.org/30453
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 8a402d2a - 2014-06-20 21:34 - Marc Bastian Heinrichs

[TASK] FollowUp to add support for having files outside the t3d/xml

Fix functional tests.

Resolves: #57379
Change-Id: Iafbf4e2b7e68dd27b488f20141f34680f57bc9c4
Reviewed-on: https://review.typo3.org/30955
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-05-27 21:47 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/30453
https://review.typo3.org/30955


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30453

#2 - 2014-06-20 14:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30453

#3 - 2014-06-20 18:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f9f534ed497e5ff22e345e5bb80ad8ae5e9a5a02.

#4 - 2014-06-20 19:07 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30955

#5 - 2014-06-20 21:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30955

#6 - 2014-06-20 22:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:8a402d2a28d06e4f87a30f5b334c42c9dccb6bcc.

#7 - 2015-04-07 18:15 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38515

#8 - 2015-05-10 14:35 - Stephan Großberndt
- Status changed from Under Review to Closed

It was decided not to backport this to TYPO3 CMS 6.2
#9 - 2015-06-18 13:45 - Marc Bastian Heinrichs
- Status changed from Closed to Resolved
- TYPO3 Version changed from 6.2 to 7
